[Chapter 25] Netscape Server Configuration
Author: Stephen Spainhour and Valerie Quercia
Date: Fri Aug 29 18:24:50 1997

#

| Chapter 25 |

# 25. Netscape Server Configuration

Contents:
Basic Server Configuration--magnus.conf
The obj.conf File

Netscape provides a wide variety of high-end server products for the Internet. Their first generation of Web servers included the Commerce server and the Communications server. The second generation of server products is now available:

- The FastTrack server is geared toward Web hosting for individuals and small organizations.

- The Enterprise server is geared to larger organizations that run large, busy Web sites and have a need for advanced security features and enriched content.

Netscape servers are available on UNIX and Windows NT platforms. The FastTrack server is also available for Windows 95. This chapter discusses configuration features for the UNIX version only.

With the Netscape servers, you do not have to edit the configuration files manually. Netscape's servers come with a Web-based configuration system called the Server Manager. During installation, you provide an obscure port from which to run the Administration Server and a username and password for the administrator. You can then administer your server from any machine with a Net connection and the Netscape Navigator browser.

If you are familiar with any of the other UNIX servers, the Netscape servers' configuration may seem odd at first. Like the others, it uses configuration files that are composed of directives. Unlike the others, however, it has relatively few directives, with much broader purposes.

In this chapter we will discuss the basic configuration directives found in the main configuration files. We won't provide step-by-step instructions for making changes in the forms of the Server Manager.

> NOTE:

For the 2.x servers, you should note that if you make manual changes to the configuration files and later work with the Server Manager, you will need to reload the files. Press Apply in the top frame of the Server Manager page and then select Load Configuration Files. The changes that you make manually are in effect the next time you restart the server (if you haven't made changes elsewhere). The Server Manager keeps its own copies of configuration files to make sure that changes will be in sync.

Most of the directives and options listed in this chapter are used in all of the Netscape Web servers. Some options do vary, however. This information is most specific to the Enterprise 2.0 server.

The Netscape server uses three files for configuration:

- magnus.conf--the server configuration file, which contains the basic server information (like httpd.conf for the NCSA and Apache servers)

- obj.conf--the object configuration file, which tells the server how to locate and serve resources (like srm.conf for the NCSA and Apache servers)

- mime.types--the MIME types file, which specifies what MIME or media types should be associated with what files

The magnus.conf file and its directives are very similar to their counterparts in other servers and simple to understand. The obj.conf file, however, is quite different. The directives have a more complex structure because of the way the Netscape server handles resources. Resource handling will be discussed later in the chapter.

## 25.1 Basic Server Configuration--magnus.conf

The following directives are used in the magnus.conf file. The directives in this file follow a simple syntax of the directive name followed by its value. Directives should not be broken across lines.

### ServerName

`ServerName` name

This is the DNS hostname of the server machine. The name you use here must be a legitimate DNS name for the machine. Also, note that other legitimate names for the machine will also work if they correspond to the same IP address.

### Port

`Port` port

Specifies your server's port. The default port for Web servers is 80, and you should probably use it if you can. If you use a different port, any URL for your server will need to include the port explicitly (e.g., http://www.ora.com:8001/ instead of http://www.ora.com/), which can make your URLs harder for people to remember.

### User

`User` username

Specifies the user you want the server process to run as. This directive only matters when starting the server as the superuser. Normal users cannot give away ownership of a process, so this directive is ignored when a normal user starts the server. The default setting is:

    User nobody

### MaxProcs

`MaxProcs` n

Sets the maximum number of processes that can run at one time. The threads of a process then take turns handling requests.

### MinThreads

`MinThreads` n

Specifies the minimum number of threads that can run under a process. The default is 4.

### MaxThreads

`MaxThreads` n

Specifies the maximum number of threads that may run under a process. The default is 32.

> NOTE:

The 1.x servers used a different process handling method and different directives: `MaxProcs`, `MinProcs`, and `ProcessLife`. Performance tuning and optimization are different with the multi-threaded 2.x servers.

### ErrorLog

`ErrorLog` pathname

Specifies the name of the error log file. The name should be a full path to the file. The default value is `/logs/error` under the server root directory (`https-`server/).

### PidLog

`PidLog` pathname

Specifies the location of the file into which the server should place its process id when running. The default setting is server-root`/logs/pid`.

### LoadObjects

`LoadObjects` files...

The Netscape server treats every document as being an instance of an object. These are the objects described in the object configuration file. The `LoadObjects` directive specifies the names of the object configuration files. The files may be given as either absolute paths, paths relative to the server root directory, or filenames in the same directory as magnus.conf. If you create new objects and place them in another file, add another `LoadObjects` directive with its location. The default is obj.conf in the config directory.

### RootObject

`RootObject` name

When a request comes in, it needs to have an initial object assigned to it. This root object is the starting point for all request handling and is the arbitrator of what more specific object (if any) should handle the request. The `RootObject` directive specifies the name of this starting point object. By default, it is:

    RootObject default

### DNS

`DNS on|off`

Controls whether the server will attempt reverse DNS lookup of the client host during requests. The default setting is:

    DNS on

### Chroot

`Chroot` path

Limits the portion of the file system available to your server for security purposes. You do not need to use this directive.

### Security

`Security on|off`

Indicates whether security features are on or off. Having `Security on` means that the server will run using encrypted transactions via secure socket layer (SSL). Security features should be configured through the Server Manager. With security features enabled, other security-related directives will appear in magnus.conf.

### ListenQ

`ListenQ` n

Sets the listen-queue size of the server. This is the maximum number of connections that the system will accept at the socket level. The system will hold this number of connections until the server can process them. This directive should not be set to a larger size than the system can handle.

### ACLFile

`ACLFile` file

Specifies the name of the access control file. It should be a full path name.

Access Control Configuration |  | The obj.conf File